Subject: bug#39919: 26.3; Incorrect byte-compiler warning

From: Mike Woolley <[email-masked]>
Date: Tue, 28 Apr 2020 17:35:47 +0100

I think people using `dotimes' from `cl’ are going to expect it to work like in Common Lisp (as that’s the whole point).

Just deprecating the result parameter because it’s too hard doesn’t seem like a good solution :-)

Thanks,
Mike

> On 28 Apr 2020, at 03:52, Michael Heerdegen <[email-masked]> wrote:
> 
> Mike Woolley <[email-masked]> writes:
> 
>> Yes that fixes the issue in the test cases I sent.
>> Also looks good in my real code where I noticed the problem!
> 
> Seems the current warning is a compromise.  It is not perfect because it
> is not really clear what the warning means.  I would vote for a clear
> "argument is deprecated" warning.
> 
> Michael.